Subject: Ashish Dbaral / Jared Brown Intro
From: Jared Brown <[email-masked]>
To: [email-masked]
Date: Tue, 09 Aug 2022 10:45:57 +0000

|

Hey there,

I saw that you signed up for a free trial of Hubstaff. We’re glad to have you! My name is Jared Brown, and I’m one of the co-founders.

At Hubstaff we’re hyper focused on building a better product for our clients and most of what we actually build comes directly from talks I have with new trial users – like you.

Can you hit reply and tell me what you’re hoping Hubstaff will do for your business?

Thanks,
Jared Brown
Co-Founder at Hubstaff

Seen on Entrepreneur, Forbes, and Inc.
Learn How we Grow Hubstaff
Connect on Linkedin

Netsoft Holdings, LLC - 11650 Olio Rd. Suite #1000 - 193 Fishers, IN 46037, United States

Our Blog | Support

Unsubscribe